Bug 332616 - search window: option to jump to containing folder
Summary: search window: option to jump to containing folder
Status: REPORTED
Alias: None
Product: kmail2
Classification: Unclassified
Component: search (show other bugs)
Version: 4.13 Pre
Platform: openSUSE RPMs Linux
: NOR wishlist (vote)
Target Milestone: ---
Assignee: kdepim bugs
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2014-03-26 09:26 UTC by Martin Koller
Modified: 2016-07-04 15:36 UTC (History)
0 users

See Also:
Latest Commit:
Version Fixed In:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Martin Koller 2014-03-26 09:26:52 UTC
when the search window presents the found mails, sometimes it is handy to see the context in which the found mail was written (e.g. the thread of other realted mails).
Therefore a button which allows to "Jump to containing folder" (or "Jump to original folder") would be good, which would change the selected folder in the main kmail window and selects the mail I have selected in the search window.

Reproducible: Always
Comment 1 Laurent Montel 2014-04-01 11:58:08 UTC
Git commit 1bdda54af203c2518a3b9fc8a55030986d4a48b5 by Montel Laurent.
Committed on 01/04/2014 at 11:54.
Pushed by mlaurent into branch 'master'.

Allow to show original folder

M  +16   -0    kmail/searchdialog/searchwindow.cpp
M  +2    -1    kmail/searchdialog/searchwindow.h

http://commits.kde.org/kdepim/1bdda54af203c2518a3b9fc8a55030986d4a48b5
Comment 2 Martin Koller 2014-09-11 07:00:28 UTC
The implementation now has the "Jump to containing folder" option, but the mail I selected is not selected in the folder.
See my initial text: "...and selects the mail I have selected in the search window."

I now get the folder but I do not see the mail I just clicked on in the search window ... so I have to search for the same mail in that folder again manually ... not good.